import requests
from flask import Flask, render_template, url_for
from creative_app.forms.rickandmorty import RickAndMortyForm

app = Flask(__name__, template_folder='./templates', static_folder='./static')
app.config['SECRET_KEY'] = 'wvNfX4Up5WBB4JDwPNtGqJ4dCy9dwFSV'  # Change this


@app.route('/')
def index():
    url = url_for('rickandmorty')
    return render_template('index.html', interesting_url=url)


@app.route('/rickandmorty', methods=['GET', 'POST'])
def rickandmorty():
    url = "http://loremricksum.com/api/"
    text = {"data": ["Currently no Rick and Morty quotes."]}
    form = RickAndMortyForm()

    if form.validate_on_submit():
        payload = {
            'paragraphs': form.paragraphs.data,
            'quotes': form.quotes.data
        }
        r = requests.get(url, params=payload)
        if r.ok:
            text = r.json()
        else:
            text = {"data": ["Error on API request"]}

    return render_template('rickandmorty.html', form=form, text=text["data"])
